Bug 104827 - V-Disk is not supported?
V-Disk is not supported?
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 13:31 EDT by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-22 14:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-22 13:31:27 EDT
Description of problem:

We would like to use a V-Disk as swap file, but unable to get it towork 
on a RedHat Linux guest (RH EL3 Beta 1).  We have no problem getting it 
to work with a different Linux distribution.                            
                                                                        
Does RedHat for S390x support V-disk?  If yes, how do we do it?   

Please see below for details.      

... Prepare Vdisk (100) for Swap use in Linux.                                 
DMSFOR603R FORMAT will erase all files on disk Z(100). Do you wish to continue?
DMSFOR605R Enter disk label:                                                   
DMSFOR733I Formatting disk Z                                                   
DMSFOR732I 260000 FB-512 blocks formatted on Z(100)                            
DMSRSV603R RESERVE will erase all files on disk Z(100). Do you wish to continue
DMSRSV733I Reserving disk Z                                                    
... Vdisk is ready for Swap use.                                               
LABEL  VDEV M  STAT   CYL TYPE BLKSZ   FILES  BLKS USED-(%) BLKS LEFT  BLK TOTA
LXSWAP 100  Z   R/W    FB 9336 4096        1      32500-99          0      3250
Ready; T=0.01/0.02 09:39:19

[root@linuxekc root]# cat /proc/dasd/devices                              
0100(FBA ) at ( 94:  0) is dasda      : active at blocksize: 512, 260000  
blocks, 126 MB                                                            
0200(ECKD) at ( 94:  4) is dasdb      : active at blocksize: 4096, 600840 
blocks, 2347 MB                                                           
0501(ECKD) at ( 94:  8) is dasdc      : active at blocksize: 4096, 600840 
blocks, 2347 MB                                                           
                                                                          
[root@linuxekc root]# lsmod                                               
Module                  Size  Used by    Not tainted                      
nfsd                  111248   8  (autoclean)                             
lockd                  72416   1  (autoclean) [nfsd]                      
sunrpc                118248   1  (autoclean) [nfsd lockd]                
autofs                 18392   0  (autoclean) (unused)                    
ctc                    71712   1  (autoclean)                             
fsm                     5056   0  (autoclean) [ctc]                       
af_packet              22920   0  (autoclean)                             
ext3                  127528   2                                          
jbd                    72696   2  [ext3]                                  
dasd_fba_mod            8752   0                                          
dasd_eckd_mod          76756   1                                          
dasd_mod               81944   4  [dasd_fba_mod dasd_eckd_mod]            
                                                    
[root@linuxekc root]# dasdfmt -b 4096 -y -f /dev/dasda -t        
dasdfmt: Unsupported disk type                                   
/dev/dasda is not an ECKD disk!                                  
                                                                 
[root@linuxekc root]# dasdfmt -b 4096 -y -f /dev/dasda -t -d ldl 
dasdfmt: Unsupported disk type                                   
/dev/dasda is not an ECKD disk!                                  
                                                                 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Pete Zaitcev 2003-09-22 14:49:24 EDT
dasdfmt is not applicable to FBA disks.
They also have no partitions, so in this case /dev/dasda is ready for use.
However, to run swap on it, I suspect mkswap would be needed in
/etc/rc.d/rc.local somewhere. This is a very icky solution.

Why do support questions end in Bugzilla?
This is a customer communications breakdown.
I'll act to find who's BoA TAM is and take him/her to task.
Comment 2 Florian La Roche 2003-09-23 03:51:47 EDT
I have seen a posting that suggests looking at swapon exec from
http://www.sinenomine.net/downloads/

Is that working for your setups?

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.